/* Copyright (C) 2004 by Peter Eastman

   This program is free software; you can redistribute it and/or modify it under the
   terms of the GNU General Public License as published by the Free Software
   Foundation; either version 2 of the License, or (at your option) any later version.

   This program is distributed in the hope that it will be useful, but WITHOUT ANY 
   WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A 
   PARTICULAR PURPOSE.  See the GNU General Public License for more details. */

package artofillusion.view;

import artofillusion.*;

/** Stores options for the LiveRender functionality. */

public class LiveRenderOptions
{
  public LiveRenderOptions()
  {
  }
  
  /** Returns a new, appropriately set renderer. */
  // TODO(MB) Rewrite
  public Renderer createRenderer()
  {
//    Renderer renderers[] = ModellingApp.getRenderers();
//    for(int i = 0; i < renderers.length; ++i)
//      if (renderers[i].getName().equals("Raster"))
//      {
//        Renderer r = renderers[i].duplicate();
        ApplicationPreferences prefs = ModellingApp.getPreferences();
        Renderer r = prefs.getLiveRenderer().duplicate();
        r.getConfigPanel();
        r.recordConfiguration();

        return r;
  }
  
}
